# Deployment Techniques

Once you have created your inference graph as a JSON or YAML Seldon Deployment resource you can deploy to Kubernetes with `kubectl`. For example, if your deployment is packaged in `my_ml_deployment.yaml`:

```bash
kubectl apply -f my_ml_deployment.yaml
```

## Helm Charts

You can use Helm to manage your deployment as illustrated in the [Helm examples notebook](https://github.com/SeldonIO/seldon-core/blob/master/docs-gb/examples/helm_examples.html).

We have a selection of [templated helm charts](https://github.com/SeldonIO/seldon-core/blob/master/docs-gb/graph/helm_charts.html) you can use as a basis for your deployments.

## Ksonnet Apps

You can use Ksonnet to manage your deployments as illustrated in the [Ksonnet examples notebook](https://github.com/SeldonIO/seldon-core/blob/master/docs-gb/notebooks/ksonnet_examples.ipynb).

We have a selection of [Ksonnet prototypes](https://github.com/SeldonIO/seldon-core/blob/master/docs-gb/graph/ksonnet_templates.html) you can use as a basis for your deployments.

## Validate your Deployment

You can check the status of the running deployments using kubectl

For example:

```bash
kubectl get sdep -o jsonpath='{.items[].status}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-core-1/configuration/deployments/deploying.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
